##################################################
#### Luhmann - R fr Einsteiger - 4. Auflage #####
#### Kapitel 6 - Dateneingabe und -management ####
##################################################

#### Abschnitt 6.1 ####

# Leeren Data Frame ffnen (Windows)
meine.daten <- edit(as.data.frame(NULL))

# Fr Mac-Nutzer: Erstellen Sie einen kleinen Dataframe mit wenigen Werten und 
# ndern Sie diese Werte dann im Dateneditor. 
meine.daten <- data.frame(var1 = c(2,2,2))
edit(meine.daten)
                            

# Damit die nachfolgenden Befehle funktionieren, sollten fr die ersten vier Variablen 
# beliebige Werte eingegeben werden. 

# Variablennamen auflisten lassen
names(meine.daten)

# Variablen umbenennen
names(meine.daten) <- c("x1","x2","x3","x4")

# Neue Variablennamen auflisten lassen
names(meine.daten)

# Einen bestimmten Variablennamen anzeigen (hier: Name der 2. Variable)
names(meine.daten)[2]

# Einen bestimmten Variablennamen ndern
names(meine.daten)[2] <- "variable.2"

# Daten im Dateneditor ffnen 
# (muss geschlossen werden, bevor weitere Operationen durchgefhrt 
# werden knnen

fix(meine.daten)



#### Abschnitt 6.2 ####

# Paket installieren und laden
install.packages("foreign")
library(foreign)

# Aktuelles Arbeitsverzeichnis anpassen 
setwd("D:/Ordner 1/Ordner 2")

?read.fortran
# SPSS-Daten importieren
bigfive.spss <- read.spss("bigfive.sav", to.data.frame=TRUE)

# Variablentyp prfen
class(bigfive.spss$bf01)
class(bigfive.spss$nation)

# Attribute anzeigen lassen
attributes(bigfive.spss)

# Variablenlabels anzeigen lassen
attributes(bigfive.spss)$variable.labels

# Textdaten importieren
bigfive.tab <- read.table("bigfive_tab.dat", 
	header=TRUE, 
	sep="\t", 
	na="-99")


#### Abschnitt 6.3 ####

# Fr die in diesem Abschnitt besprochenen Befehle stehen keine Datenbeispiele
# zur Verfgung. Sie knnen jedoch die Befehle mit Hilfe der bungsdaten nachvollziehen. 




